Debian Bug report logs - #698423
fixing samhain : a possible typo in live-build version 3.0~b5-1

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: jhcha54008 <jhcha54008@free.fr>

Date: Fri, 18 Jan 2013 11:39:04 UTC

Severity: normal

Tags: moreinfo, patch

Found in version live-build/3.0~b5-1

Fixed in versions live-build/3.0~b6-1, live-build/4.0~a8-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Debian Live Project <debian-live@lists.debian.org>:
Bug#698423; Package live-build. (Fri, 18 Jan 2013 11:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to jhcha54008 <jhcha54008@free.fr>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 18 Jan 2013 11:39:06 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: jhcha54008 <jhcha54008@free.fr>
To: maintonly@bugs.debian.org
Cc: jhcha54008@free.fr
Subject: fixing samhain : a possible typo in live-build version 3.0~b5-1
Date: Fri, 18 Jan 2013 12:46:22 +0000
Package: live-build
Version: 3.0~b5-1
Tags: patch

Dear maintainers,
I wonder if the following patch could correct a typo in the unstable
version of live-build.

As far as I understand, if samhain is not installed on the build host,
the current code amounts to create as root a directory /var/state/samhain
 - or to a failure if live-build is invoked as a normal user with fakeroot.
Or did I miss something ?

Thanks in advance !

Regards,
JH Chatenet

diff -Naur a/usr/lib/live/build/chroot_dpkg b/usr/lib/live/build/chroot_dpkg
--- a/usr/lib/live/build/chroot_dpkg	2012-12-31 23:12:21.000000000 +0000
+++ b/usr/lib/live/build/chroot_dpkg	2013-01-18 12:31:44.966528061 +0000
@@ -62,12 +62,16 @@
 		# Manual hacks for special packages
 
 		# samhain
-		if [ -e /var/state/samhain/samhain_file ]
+		# do nothing if samhain is not installed on the build host
+		if [ -e /usr/sbin/samhain ]
 		then
-			mv /var/state/samhain/samhain_file /var/state/samhain/samhain_file.orig
-		else
-			mkdir -p /var/state/samhain
-			touch /var/state/samhain/samhain_file
+			if [ -e /var/state/samhain/samhain_file ]
+			then
+				mv /var/state/samhain/samhain_file /var/state/samhain/samhain_file.orig
+			else
+				mkdir -p /var/state/samhain
+				touch /var/state/samhain/samhain_file
+			fi
 		fi
 
 		# flash-kernel
@@ -94,13 +98,17 @@
 		Chroot chroot dpkg-divert --rename --quiet --remove /usr/sbin/flash-kernel
 
 		# samhain
-		if [ -e /var/state/samhain/samhain_file.orig ]
+		# do nothing if samhain is not installed on the build host
+		if [ -e /usr/sbin/samhain ]
 		then
-			mv /var/state/samhain/samhain_file.orig /var/state/samhain/samhain_file
-		elif [ -d /var/state/samhain ]
-		then
-			rm -f /var/state/samhain/samhain_file
-			rmdir --ignore-fail-on-non-empty /var/state/samhain || true
+			if [ -e /var/state/samhain/samhain_file.orig ]
+			then
+				mv /var/state/samhain/samhain_file.orig /var/state/samhain/samhain_file
+			elif [ -d /var/state/samhain ]
+			then
+				rm -f /var/state/samhain/samhain_file
+				rmdir --ignore-fail-on-non-empty /var/state/samhain || true
+			fi
 		fi
 
 		# Restore start-stop-daemon program




Added tag(s) moreinfo. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 18 Jan 2013 12:00:03 GMT) Full text and rfc822 format available.

Information forwarded to Debian Live Project <debian-live@lists.debian.org>:
Bug#698423; Package live-build. (Fri, 18 Jan 2013 12:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to maintainer. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 18 Jan 2013 12:00:06 GMT) Full text and rfc822 format available.

Message #12 received at 698423-maintonly@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: jhcha54008 <jhcha54008@free.fr>
Cc: 698423-maintonly@bugs.debian.org
Subject: Re: Bug#698423: fixing samhain : a possible typo in live-build version 3.0~b5-1
Date: Fri, 18 Jan 2013 13:01:44 +0100
tag 698423 moreinfo
thanks

On 01/18/2013 01:46 PM, jhcha54008 wrote:
> As far as I understand, if samhain is not installed on the build host,
> the current code amounts to create as root a directory /var/state/samhain

...and removed again, so not a problem.

> or to a failure if live-build is invoked as a normal user with fakeroot.

can you elabore on that?

btw, in general to *discuss* things, it's preferable to use irc or the 
mailinglist, not the bug tracking system, less overhead.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to Debian Live Project <debian-live@lists.debian.org>:
Bug#698423; Package live-build. (Fri, 18 Jan 2013 19:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jhcha54008 <jhcha54008@free.fr>:
Extra info received and forwarded to maintainer. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 18 Jan 2013 19:21:03 GMT) Full text and rfc822 format available.

Message #17 received at 698423-maintonly@bugs.debian.org (full text, mbox):

From: jhcha54008 <jhcha54008@free.fr>
To: Daniel Baumann <daniel.baumann@progress-technologies.net>
Cc: jhcha54008@free.fr, 698423-maintonly@bugs.debian.org
Subject: Re: Bug#698423: fixing samhain : a possible typo in live-build version 3.0~b5-1
Date: Fri, 18 Jan 2013 20:24:21 +0000
Le vendredi 18 janvier à 13h 01mn 44s (+0100), Daniel Baumann a écrit :
> tag 698423 moreinfo
> thanks
> 
> On 01/18/2013 01:46 PM, jhcha54008 wrote:
> >As far as I understand, if samhain is not installed on the build host,
> >the current code amounts to create as root a directory /var/state/samhain
> 
> ...and removed again, so not a problem.
> 

Please feel free to classify this case as "whishlist" (of minor importance).
My concern was : isn't /var/state/samhain at risk to remain longer as
needed if a fatal error occurs between creation and removal (say, the user
did something wrong in the config) ?

> >or to a failure if live-build is invoked as a normal user with fakeroot.
> 
> can you elabore on that?
> 

Is uid 0 required to write under /var ?

ls -ld /var
drwxr-xr-x 19 root root 160  1 sept. 10:42 /var

Running as a normal user 

fakeroot -s .lb_fakeroot_state lb config --use-fakeroot true
fakeroot -i .lb_fakeroot_state -s .lb_fakeroot_state fakechroot lb build

would cause an error and the build to stop. Please correct me if I am 
wrong.

( My previous patch proposal didn't address the case where samhain is
installed and one is using fakeroot. Here is a second try )

> btw, in general to *discuss* things, it's preferable to use irc or
> the mailinglist, not the bug tracking system, less overhead.
> 


Sorry, I didn't realize I should discuss the point on the mailing list
first (I am a novice bug reporter, and followed the guidelines to 
report a typo - so, not appropriate in the present case).

Thank you for your answer and all your work on debian-live.

Regards,
JH Chatenet

diff -Naur a/usr/lib/live/build/chroot_dpkg b/usr/lib/live/build/chroot_dpkg
--- a/usr/lib/live/build/chroot_dpkg	2012-12-31 23:12:21.000000000 +0000
+++ b/usr/lib/live/build/chroot_dpkg	2013-01-18 12:31:44.966528061 +0000
@@ -62,12 +62,16 @@
 		# Manual hacks for special packages
 
 		# samhain
-		if [ -e /var/state/samhain/samhain_file ]
+		# do nothing if using fakeroot or samhain is not installed on the build host
+		if [ "${LB_USE_FAKEROOT}" != "true" -a -e /usr/sbin/samhain ]
 		then
-			mv /var/state/samhain/samhain_file /var/state/samhain/samhain_file.orig
-		else
-			mkdir -p /var/state/samhain
-			touch /var/state/samhain/samhain_file
+			if [ -e /var/state/samhain/samhain_file ]
+			then
+				mv /var/state/samhain/samhain_file /var/state/samhain/samhain_file.orig
+			else
+				mkdir -p /var/state/samhain
+				touch /var/state/samhain/samhain_file
+			fi
 		fi
 
 		# flash-kernel
@@ -94,13 +98,17 @@
 		Chroot chroot dpkg-divert --rename --quiet --remove /usr/sbin/flash-kernel
 
 		# samhain
-		if [ -e /var/state/samhain/samhain_file.orig ]
+		# do nothing if using fakeroot or samhain is not installed on the build host
+		if [ "${LB_USE_FAKEROOT}" != "true" -a -e /usr/sbin/samhain ]
 		then
-			mv /var/state/samhain/samhain_file.orig /var/state/samhain/samhain_file
-		elif [ -d /var/state/samhain ]
-		then
-			rm -f /var/state/samhain/samhain_file
-			rmdir --ignore-fail-on-non-empty /var/state/samhain || true
+			if [ -e /var/state/samhain/samhain_file.orig ]
+			then
+				mv /var/state/samhain/samhain_file.orig /var/state/samhain/samhain_file
+			elif [ -d /var/state/samhain ]
+			then
+				rm -f /var/state/samhain/samhain_file
+				rmdir --ignore-fail-on-non-empty /var/state/samhain || true
+			fi
 		fi
 
 		# Restore start-stop-daemon program







Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#698423; Package live-build. (Sat, 19 Jan 2013 11:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 19 Jan 2013 11:42:03 GMT) Full text and rfc822 format available.

Message #22 received at 698423@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: jhcha54008 <jhcha54008@free.fr>
Cc: 698423@bugs.debian.org
Subject: Re: Bug#698423: fixing samhain : a possible typo in live-build version 3.0~b5-1
Date: Sat, 19 Jan 2013 12:42:36 +0100
retitle 698423 adjust samhain hack to work with fakeroot
severity 698423 minor
tag 698423 pending
thanks

On 01/18/2013 09:24 PM, jhcha54008 wrote:
> My concern was : isn't /var/state/samhain at risk to remain longer as
> needed if a fatal error occurs between creation and removal (say, the user
> did something wrong in the config) ?

no, what makes you think so? the file is touched in order to prevent 
samhain from doing stuff on package installation.

> fakeroot -s .lb_fakeroot_state lb config --use-fakeroot true
> fakeroot -i .lb_fakeroot_state -s .lb_fakeroot_state fakechroot lb build
>
> would cause an error and the build to stop. Please correct me if I am
> wrong.

indeed; note that fakeroot support in live-build is a proof of concept 
at best, there might be tons of things that break once you use it.

i'll push a fix for that to git in a moment.

> I didn't realize I should discuss the point on the mailing list
> first

the bts is to report bugs. if you have found a bug, please report it in 
the bts.

if you are wondering about certain things/you want to ask/talk 
about/suggest/discuss/$whatever something that's not most likely a bug 
or you're uncertain about if it is one, please use the malinglist.

or to put it more bluntly (that doesn't apply to you): if everyone would 
open a bug just because they have a question about a certain piece of 
code, we would be swamped in bug reports and couldn't really keep 
oversight over which things are actual bugs and which are not. besides, 
it would also mean significant effort of time to do triage on the bts 
would it be used that way.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#698423; Package live-build. (Sat, 19 Jan 2013 20:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to jhcha54008 <jhcha54008@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sat, 19 Jan 2013 20:24:03 GMT) Full text and rfc822 format available.

Message #27 received at 698423@bugs.debian.org (full text, mbox):

From: jhcha54008 <jhcha54008@free.fr>
To: Daniel Baumann <daniel.baumann@progress-technologies.net>
Cc: 698423@bugs.debian.org, jhcha54008@free.fr
Subject: Re: Bug#698423: fixing samhain : a possible typo in live-build version 3.0~b5-1
Date: Sat, 19 Jan 2013 21:28:31 +0000
Thank you for your work on this issue.

Le samedi 19 janvier à 12h 42mn 36s (+0100), Daniel Baumann a écrit :
> 
> On 01/18/2013 09:24 PM, jhcha54008 wrote:
> >My concern was : isn't /var/state/samhain at risk to remain longer as
> >needed if a fatal error occurs between creation and removal (say, the user
> >did something wrong in the config) ?
> 
> no, what makes you think so? the file is touched in order to prevent
> samhain from doing stuff on package installation.


It happened to me at my first try with live-build as root
(as you pointed out, it didn't work out of the box with fakeroot).
The run stopped somewhere before package installation with an error.
The remaining /var/state/samhain was flagged by integrit the day
after. After a while looking for the cause, I was at first upset :
"this program abused trust and root power to change silently the
configuration of my build host" - before I realize my error, after
some code reading.
Hence this "whishlist" ('do nothing if samhain is not installed') : a
/var/state/samhain left doesn't cause much harm to the build host,
but some trouble for the unsuspicious (and clumsy) user. Anyway, it's
definitely not of vital importance...

Regards,
JH Chatenet



Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 20 Jan 2013 09:36:10 GMT) Full text and rfc822 format available.

Notification sent to jhcha54008 <jhcha54008@free.fr>:
Bug acknowledged by developer. (Sun, 20 Jan 2013 09:36:10 GMT) Full text and rfc822 format available.

Message #32 received at 698423-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 698423-close@bugs.debian.org
Subject: Bug#698423: fixed in live-build 3.0~b6-1
Date: Sun, 20 Jan 2013 09:32:35 +0000
Source: live-build
Source-Version: 3.0~b6-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698423@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 20 Jan 2013 10:17:42 +0100
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 3.0~b6-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Live System Build Scripts
 live-build-cgi - Live System Build Scripts (CGI frontend)
Closes: 698260 698397 698423
Changes: 
 live-build (3.0~b6-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Updating manpage year handling for 2013.
   * Updating wheezy beta-release number.
   * Using cat instead of echo to workaround incompatible and conflicting
     uses in escaping of \t in dash and bash, and less importantly to
     workaround a false-positive in checkbashisms.
   * Updating footer link to 'legal information' in cgi html template.
   * Cleaning up binary_loadlin.
   * Updating for twitter-bootstrap usage on live.debia.net in the cgi html
     templates.
   * Updating footer in cgi html template.
   * Correcting spelling typo in html footer of the cgi, thanks to Jean-
     Christophe Saint-Marc <jchristophe.stmarc@free.fr>.
   * Removing reference to removed --package-lists option in lb_config
     manpage (Closes: #698260).
 .
   [ Richard Nelson ]
   * Correcting typo on functions/default.sh, thanks to jhcha54008
     <jhcha54008@free.fr> (Closes: #698397).
 .
   [ Daniel Baumann ]
   * Updating samhain workaround in chroot_dpkg to work if live-build is
     being used with sudo or fakeroot (Closes: #698423).
   * Correcting apt-key cleanup of local dummy signing keys when using
     local packages, thanks to jhcha54008 <jhcha54008@free.fr>.
   * Falling back to use genisoimage when building squeeze iso-hybrid
     images.
   * Applying slightly modified patch from Raphaël Hertzog
     <hertzog@debian.org> to fix automatic firmware inclusion when using
     debian-installer with live-installer and having firmware packages
     installed in the live system already.
Checksums-Sha1: 
 f4bc25e7207fe309f7088879897a00658cdc2346 1322 live-build_3.0~b6-1.dsc
 ecf6cbf1e0cdd23d05a262d4ee0f73e2fc00dc1e 163288 live-build_3.0~b6.orig.tar.xz
 09b4dac03220a0c38fc31f26d6e7f58301365ebb 51208 live-build_3.0~b6-1.debian.tar.xz
 d17466e85a3b3eddfeec740bded1978ee67aaf46 198470 live-build_3.0~b6-1_all.deb
 6be899c3df633b6eed95eeeb6fa1fb588d06a151 75802 live-build-cgi_3.0~b6-1_all.deb
Checksums-Sha256: 
 b40404ab06d6b912b6386aa38301a8df362554dd62b9fe8fdc8c5ac6443b8096 1322 live-build_3.0~b6-1.dsc
 e975aaeeb40d2928d666139dc4c6ab8196684a65220d0fddb1e2f2c2eb32fc84 163288 live-build_3.0~b6.orig.tar.xz
 2ed967e962b65492229a0a930b987d6b2df6e42933dee7b44d6f6ed3f453763d 51208 live-build_3.0~b6-1.debian.tar.xz
 9c5b03a4fdf5cb7d33b0a61595ad08149d48b9862a82ad56b544c427404067ea 198470 live-build_3.0~b6-1_all.deb
 fcaa61bef4e7309548cab2916b112164a8ecf1c6b1c338db0625da2b5a054a8a 75802 live-build-cgi_3.0~b6-1_all.deb
Files: 
 510a4252c709c3c198e96345f5a97d18 1322 misc optional live-build_3.0~b6-1.dsc
 b014b8582d51152f1ca41b19009756fe 163288 misc optional live-build_3.0~b6.orig.tar.xz
 2ec25368366e5da1602a764d302a477d 51208 misc optional live-build_3.0~b6-1.debian.tar.xz
 9501477aefa0890003db2d4bc5476094 198470 misc optional live-build_3.0~b6-1_all.deb
 bedb1b250b39abbaaf8b3b1432e975f7 75802 misc optional live-build-cgi_3.0~b6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlD7twwACgkQ+C5cwEsrK54jzwCggnbYkQ653Ega0fLGAVqvAj1I
FT8AoJExRsc3zg5MsjwsCyiNUNlc2UBu
=rz8+
-----END PGP SIGNATURE-----




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 20 Jan 2013 11:03:13 GMT) Full text and rfc822 format available.

Notification sent to jhcha54008 <jhcha54008@free.fr>:
Bug acknowledged by developer. (Sun, 20 Jan 2013 11:03:13 GMT) Full text and rfc822 format available.

Message #37 received at 698423-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 698423-close@bugs.debian.org
Subject: Bug#698423: fixed in live-build 4.0~a8-1
Date: Sun, 20 Jan 2013 11:02:30 +0000
Source: live-build
Source-Version: 4.0~a8-1

We believe that the bug you reported is fixed in the latest version of
live-build, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 698423@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-build package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 20 Jan 2013 11:28:27 +0100
Source: live-build
Binary: live-build live-build-cgi
Architecture: source all
Version: 4.0~a8-1
Distribution: experimental
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-build - Live System Build Scripts
 live-build-cgi - Live System Build Scripts (CGI frontend)
Closes: 698260 698397 698423
Changes: 
 live-build (4.0~a8-1) experimental; urgency=low
 .
   [ Daniel Baumann ]
   * Updating manpage year handling for 2013.
   * Using cat instead of echo to workaround incompatible and conflicting
     uses in escaping of \t in dash and bash, and less importantly to
     workaround a false-positive in checkbashisms.
   * Updating footer link to 'legal information' in cgi html template.
   * Cleaning up binary_loadlin.
   * Updating for twitter-bootstrap usage on live.debia.net in the cgi html
     templates.
   * Updating footer in cgi html template.
   * Correcting spelling typo in html footer of the cgi, thanks to Jean-
     Christophe Saint-Marc <jchristophe.stmarc@free.fr>.
   * Removing reference to removed --package-lists option in lb_config
     manpage (Closes: #698260).
 .
   [ Richard Nelson ]
   * Correcting typo on functions/default.sh, thanks to jhcha54008
     <jhcha54008@free.fr> (Closes: #698397).
 .
   [ Daniel Baumann ]
   * Updating samhain workaround in chroot_dpkg to work if live-build is
     being used with sudo or fakeroot (Closes: #698423).
   * Correcting apt-key cleanup of local dummy signing keys when using
     local packages, thanks to jhcha54008 <jhcha54008@free.fr>.
   * Making xorriso option handling a bit more readable.
   * Applying slightly modified patch from Raphaël Hertzog
     <hertzog@debian.org> to fix automatic firmware inclusion when using
     debian-installer with live-installer and having firmware packages
     installed in the live system already.
   * Adding config/control in example gitignore file.
   * Adding 3.0~b6-1 changelog entries.
   * Correcting variable default assignment for new configuration tree
     layout.
   * Avoiding to unconditionally adding whitespace seperator to
     config/control for existing configs.
Checksums-Sha1: 
 364fd95c0e25e2ad56b82111288e261d87a5cc86 1322 live-build_4.0~a8-1.dsc
 049e16c07961c80128b2f880f62e92777e1efab9 163396 live-build_4.0~a8.orig.tar.xz
 556063b6d595ff89451e86b0e84ce01d4e39e713 51792 live-build_4.0~a8-1.debian.tar.xz
 24dd6534d3a7e3b29168b1668220049a4643a4e9 199238 live-build_4.0~a8-1_all.deb
 f16f113fcb514f119d37c5c825d98fa4eaa9cf85 76504 live-build-cgi_4.0~a8-1_all.deb
Checksums-Sha256: 
 5a8b0629dc391430e9fb2bae4a1502cc8021ca3eb48f6355b9aa8f22a156447a 1322 live-build_4.0~a8-1.dsc
 35a58f2b2d6fa7c25a4a6b572b977e6356f6a78390d34f6d4b9a12166ae931df 163396 live-build_4.0~a8.orig.tar.xz
 dbb1de6d16ea941276c37bf74dd3176e4bc92860fb7567e25066146d52288350 51792 live-build_4.0~a8-1.debian.tar.xz
 d34c07af2e674205bce79b991c5fb26727a2d9af35cbd58caaebb7e90c43d493 199238 live-build_4.0~a8-1_all.deb
 4192f986d7ff1226f9a7a4302361a72e9b7e3534959256f4c369f3c3555e38d5 76504 live-build-cgi_4.0~a8-1_all.deb
Files: 
 4fdd76a4cfbafb03707bcd6d55829877 1322 misc optional live-build_4.0~a8-1.dsc
 4ac35cabcfc0173b31835d7c666d60b3 163396 misc optional live-build_4.0~a8.orig.tar.xz
 e328b3079cc16ffafe0e7fe78ec8a19a 51792 misc optional live-build_4.0~a8-1.debian.tar.xz
 a4fd001b4a2a14628bf0050d2e154c35 199238 misc optional live-build_4.0~a8-1_all.deb
 8ce96493bf08059a59e6bf5d5717d895 76504 misc optional live-build-cgi_4.0~a8-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlD7zgMACgkQ+C5cwEsrK55+zgCgpdSz3bhW2MGcJdejM/BGxmCM
St0AoLAq2d8zu6TuA2dB6/Ir6useL8Ik
=PjBL
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Feb 2013 07:26:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:18:38 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.